sdr::Queue::Message Class Reference

The internal used message type. More...

`#include <queue.hh>`

## Public Member Functions

| Message (const RawBuffer &buffer, SinkBase *sink, bool allow_overwrite)
| Constructor. More...
| Message (const Message &other)
| Copy constructor. More...
const Message & | operator= (const Message &other)
| Assignment operator. More...
const RawBuffer & | buffer () const
| Returns the buffer of the message. More...
RawBuffer & | buffer ()
| Returns the buffer of the message. More...
SinkBase * | sink () const
| Returns the destination of the message. More...
bool | allowOverwrite () const
| If true, the sender allows to overwrite the content of the buffer. More...

## Protected Attributes

RawBuffer | _buffer
| The buffer being send. More...
SinkBase * | _sink
| The destination. More...
bool | _allow_overwrite
| If true, the sender allows to overwrite the buffer. More...

## Detailed Description

The internal used message type.

## Constructor & Destructor Documentation

sdr::Queue::Message::Message | ( | const RawBuffer & | buffer,
|  | SinkBase * | sink,
|  | bool | allow_overwrite
| ) |  |

inline

Constructor.

sdr::Queue::Message::Message | ( | const Message & | other | ) |

inline

Copy constructor.

## Member Function Documentation

bool sdr::Queue::Message::allowOverwrite | ( |  | ) | const

inline

If true, the sender allows to overwrite the content of the buffer.

const RawBuffer& sdr::Queue::Message::buffer | ( |  | ) | const

inline

Returns the buffer of the message.

RawBuffer& sdr::Queue::Message::buffer | ( |  | ) |

inline

Returns the buffer of the message.

const Message& sdr::Queue::Message::operator= | ( | const Message & | other | ) |

inline

Assignment operator.

SinkBase* sdr::Queue::Message::sink | ( |  | ) | const

inline

Returns the destination of the message.

## Member Data Documentation

bool sdr::Queue::Message::_allow_overwrite

protected

If true, the sender allows to overwrite the buffer.

RawBuffer sdr::Queue::Message::_buffer

protected

The buffer being send.

SinkBase* sdr::Queue::Message::_sink

protected

The destination.

The documentation for this class was generated from the following file:

- /Users/hannes/Uni/Elektronik/sdr/libsdr/src/queue.hh